org.apache.xmlbeans.impl.schema

## Class SchemaTypeLoaderBase

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase

All Implemented Interfaces:
  SchemaTypeLoader

Direct Known Subclasses:
  BuiltinSchemaTypeSystem, SchemaTypeLoaderImpl, SchemaTypeSystemImpl, SoapEncSchemaTypeSystem, XQuerySchemaTypeSystem

    public abstract class SchemaTypeLoaderBase
    extends Object
    implements SchemaTypeLoader

### Constructor Summary

Constructors
Constructor and Description
`SchemaTypeLoaderBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `compilePath(String pathExpr)`
`String` `compilePath(String pathExpr, XmlOptions options)` Compiles an XPath
`String` `compileQuery(String queryExpr)`
`String` `compileQuery(String queryExpr, XmlOptions options)` Compiles an XQuery
`SchemaGlobalAttribute` `findAttribute(QName name)` Returns the global attribute defintion with the given name, or null if none.
`SchemaAttributeGroup` `findAttributeGroup(QName name)` Returns the attribute group defintion with the given name, or null if none.
`SchemaType` `findAttributeType(QName name)` Returns the attribute type containing the given attribute name, or null if none.
`SchemaType` `findDocumentType(QName name)` Returns the document type rooted at the given element name, or null if none.
`SchemaGlobalElement` `findElement(QName name)` Returns the global element defintion with the given name, or null if none.
`SchemaModelGroup` `findModelGroup(QName name)` Returns the model group defintion with the given name, or null if none.
`SchemaType` `findType(QName name)` Returns the type with the given name, or null if none.
`DOMImplementation` `newDomImplementation(XmlOptions options)` Returns a DOMImplementation.
`XmlObject` `newInstance(SchemaType type, XmlOptions options)` Creates an instance of the given type.
`XmlSaxHandler` `newXmlSaxHandler(SchemaType type, XmlOptions options)` Returns an XmlSaxHandler that can parse an instance of the given type.
`XmlObject` `parse(File file, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(InputStream jiois, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(Node node, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(Reader jior, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(String xmlText, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(URL url, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`XmlObject` `parse(XMLStreamReader xsr, SchemaType type, XmlOptions options)` Parses an instance of the given type.
`SchemaType` `typeForSignature(String signature)` Utility function to load a type from a signature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.SchemaTypeLoader

`findAttributeGroupRef, findAttributeRef, findAttributeTypeRef, findDocumentTypeRef, findElementRef, findIdentityConstraintRef, findModelGroupRef, findTypeRef, getSourceAsStream, isNamespaceDefined, typeForClassname`

### Constructor Detail

#### SchemaTypeLoaderBase

    public SchemaTypeLoaderBase()

### Method Detail

#### findType

    public SchemaType findType(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the type with the given name, or null if none.

Specified by:
  `findType` in interface `SchemaTypeLoader`

#### findDocumentType

    public SchemaType findDocumentType(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the document type rooted at the given element name, or null if none.

Specified by:
  `findDocumentType` in interface `SchemaTypeLoader`

#### findAttributeType

    public SchemaType findAttributeType(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the attribute type containing the given attribute name, or null if none.

Specified by:
  `findAttributeType` in interface `SchemaTypeLoader`

#### findModelGroup

    public SchemaModelGroup findModelGroup(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the model group defintion with the given name, or null if none.

Specified by:
  `findModelGroup` in interface `SchemaTypeLoader`

#### findAttributeGroup

    public SchemaAttributeGroup findAttributeGroup(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the attribute group defintion with the given name, or null if none.

Specified by:
  `findAttributeGroup` in interface `SchemaTypeLoader`

#### findElement

    public SchemaGlobalElement findElement(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the global element defintion with the given name, or null if none.

Specified by:
  `findElement` in interface `SchemaTypeLoader`

#### findAttribute

    public SchemaGlobalAttribute findAttribute(QName name)

Description copied from interface: `SchemaTypeLoader`
Returns the global attribute defintion with the given name, or null if none.

Specified by:
  `findAttribute` in interface `SchemaTypeLoader`

#### newInstance

    public XmlObject newInstance(SchemaType type,
                                 XmlOptions options)

Description copied from interface: `SchemaTypeLoader`
Creates an instance of the given type.

Specified by:
  `newInstance` in interface `SchemaTypeLoader`

#### parse

    public XmlObject parse(String xmlText,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`

#### parse

    public XmlObject parse(XMLStreamReader xsr,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`

#### parse

    public XmlObject parse(File file,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException,
                           IOException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`
  `IOException`

#### parse

    public XmlObject parse(URL url,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException,
                           IOException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`
  `IOException`

#### parse

    public XmlObject parse(InputStream jiois,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException,
                           IOException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`
  `IOException`

#### parse

    public XmlObject parse(Reader jior,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException,
                           IOException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`
  `IOException`

#### parse

    public XmlObject parse(Node node,
                           SchemaType type,
                           XmlOptions options)
                    throws XmlException

Description copied from interface: `SchemaTypeLoader`
Parses an instance of the given type.

Specified by:
  `parse` in interface `SchemaTypeLoader`
Throws:
  `XmlException`

#### newXmlSaxHandler

    public XmlSaxHandler newXmlSaxHandler(SchemaType type,
                                          XmlOptions options)

Description copied from interface: `SchemaTypeLoader`
Returns an XmlSaxHandler that can parse an instance of the given type.

Specified by:
  `newXmlSaxHandler` in interface `SchemaTypeLoader`

#### newDomImplementation

    public DOMImplementation newDomImplementation(XmlOptions options)

Description copied from interface: `SchemaTypeLoader`
Returns a DOMImplementation.

Specified by:
  `newDomImplementation` in interface `SchemaTypeLoader`

#### compilePath

    public String compilePath(String pathExpr)

#### compilePath

    public String compilePath(String pathExpr,
                              XmlOptions options)

Description copied from interface: `SchemaTypeLoader`
Compiles an XPath

Specified by:
  `compilePath` in interface `SchemaTypeLoader`

#### compileQuery

    public String compileQuery(String queryExpr)

#### compileQuery

    public String compileQuery(String queryExpr,
                               XmlOptions options)

Description copied from interface: `SchemaTypeLoader`
Compiles an XQuery

Specified by:
  `compileQuery` in interface `SchemaTypeLoader`

#### typeForSignature

    public SchemaType typeForSignature(String signature)

Utility function to load a type from a signature.

A signature is the string you get from type.toString().

Specified by:
  `typeForSignature` in interface `SchemaTypeLoader`